Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.security.auth.module
Class NTActiveSystem

    java.lang.Object
      com.ibm.security.auth.module.NTActiveSystem

    public class NTActiveSystem

extends java.lang.Object

This class implementation retrieves and makes available NT username/domain/ID information for either the current user or a specified user.

Author:
  D Kent Soper, Andrew Gotte

Constructor Summary
`NTActiveSystem()` Instantiate a `NTSystem` and load the native library to access the underlying system information.
`NTActiveSystem(java.lang.String userName, char[] authenticator)`

Method Summary
`protected void` | `finalize()` Clean up NT resources during garbage collection, in case `LoginContext.logout()` was not called.
`java.lang.String` | `getDomain()` Get the domain for the current NT user.
`java.lang.String` | `getDomainSID()` Get a printable SID for the current NT user's domain.
`java.lang.String[]` | `getGroupIDs()` Get the group IDs for the current NT user.
`int` | `getImpersonationToken()` Get an impersonation token for the current NT user.
`java.lang.String` | `getName()` Get the username for the current NT user.
`java.lang.String` | `getPrimaryGroupID()` Get the primary group ID for the current NT user.
`java.lang.String` | `getUserSID()` Get a printable SID for the current NT user.

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NTActiveSystem

    public NTActiveSystem()

  Instantiate a `NTSystem` and load the native library to access the underlying system information.

### NTActiveSystem

    public NTActiveSystem(java.lang.String userName,
                          char[] authenticator)

Method Detail

### getName

    public java.lang.String getName()

  Get the username for the current NT user.

  Returns:
    the username for the current NT user.

### getDomain

    public java.lang.String getDomain()

  Get the domain for the current NT user.

  Returns:
    the domain for the current NT user.

### getDomainSID

    public java.lang.String getDomainSID()

  Get a printable SID for the current NT user's domain.

  Returns:
    a printable SID for the current NT user's domain.

### getUserSID

    public java.lang.String getUserSID()

  Get a printable SID for the current NT user.

  Returns:
    a printable SID for the current NT user.

### getPrimaryGroupID

    public java.lang.String getPrimaryGroupID()

  Get the primary group ID for the current NT user.

  Returns:
    the primary group ID for the current NT user.

### getGroupIDs

    public java.lang.String[] getGroupIDs()

  Get the group IDs for the current NT user.

  Returns:
    the group IDs for the current NT user.

### getImpersonationToken

    public int getImpersonationToken()

  Get an impersonation token for the current NT user.

  Returns:
    an impersonation token for the current NT user.

### finalize

    protected void finalize()

  Clean up NT resources during garbage collection, in case `LoginContext.logout()` was not called.

  Overrides:
    `finalize` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD